org.apache.hadoop.hdfs.federation.protocol.proto

## Interface HdfsServerFederationProtos.GetDisabledNameservicesResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HdfsServerFederationProtos.GetDisabledNameservicesResponseProto, HdfsServerFederationProtos.GetDisabledNameservicesResponseProto.Builder
  Enclosing class:
    HdfsServerFederationProtos

      public static interface HdfsServerFederationProtos.GetDisabledNameservicesResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNameServiceIds(int index)` `repeated string nameServiceIds = 1;`
    `com.google.protobuf.ByteString` | `getNameServiceIdsBytes(int index)` `repeated string nameServiceIds = 1;`
    `int` | `getNameServiceIdsCount()` `repeated string nameServiceIds = 1;`
    `List<String>` | `getNameServiceIdsList()` `repeated string nameServiceIds = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getNameServiceIdsList

          List<String> getNameServiceIdsList()

      `repeated string nameServiceIds = 1;`

    - #### getNameServiceIdsCount

          int getNameServiceIdsCount()

      `repeated string nameServiceIds = 1;`

    - #### getNameServiceIds

          String getNameServiceIds(int index)

      `repeated string nameServiceIds = 1;`

    - #### getNameServiceIdsBytes

          com.google.protobuf.ByteString getNameServiceIdsBytes(int index)

      `repeated string nameServiceIds = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.